IARRAY_SET_DIM_NAME(3)

FUNCTION
iarray_set_dim_name - Change the name of a dimension of an Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

void iarray_set_dim_name

(iarray array, unsigned int index, CONST char *name, flag new_alloc)

DESCRIPTION
Change the name of a dimension of an Intelligent Array.

array
    The Intelligent Array.

index
    The index of the dimension.

name
    The new dimension name.

new_alloc
    If TRUE, the routine will allocate a new copy of the dimension name, else it will copy the pointer (in which case the name must never be externally deallocated or changed).

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/